This object is passed into a the database connect function to activate it.

export
interface

  DBConnect

### Hierarchy

- DBConnect

## Index

### Properties

- _actions
- _config
- _functions
- _models
- _onFail
- _onSuccess
- _parent
- _views

## Properties

### _actions

_actions: StdObject<Array<ActionOrView>>

- Defined in index.ts:1425

### _config

_config: Array<any>

- Defined in index.ts:1430

### _functions

_functions: object

- Defined in index.ts:1427

#### Type declaration

- ##### [key: string]: DBFunction

### _models

_models: StdObject<Array<DataModel>>

- Defined in index.ts:1424

### Optional _onFail

_onFail: Function

- Defined in index.ts:1433

### _onSuccess

_onSuccess: Function

- Defined in index.ts:1432

### _parent

_parent: NanoSQLInstance

- Defined in index.ts:1431

### _views

_views: StdObject<Array<ActionOrView>>

- Defined in index.ts:1426

Generated using TypeDoc